## ros-noetic-rplidar-ros 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rplidar_ros)

set(RPLIDAR_SDK_PATH "./sdk/")
set(CMAKE_BUILD_TYPE "Release")
set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

FILE(GLOB RPLIDAR_SDK_SRC 
  "${RPLIDAR_SDK_PATH}/src/arch/linux/*.cpp"
  "${RPLIDAR_SDK_PATH}/src/hal/*.cpp"
  "${RPLIDAR_SDK_PATH}/src/*.cpp"
)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rosconsole
  sensor_msgs
)

include_directories(
  ${RPLIDAR_SDK_PATH}/include
  ${RPLIDAR_SDK_PATH}/src
  ${catkin_INCLUDE_DIRS}
)

catkin_package()

add_executable(rplidarNode src/node.cpp ${RPLIDAR_SDK_SRC})
target_link_libraries(rplidarNode ${catkin_LIBRARIES})

add_executable(rplidarNodeClient src/client.cpp)
target_link_libraries(rplidarNodeClient ${catkin_LIBRARIES})

install(TARGETS rplidarNode rplidarNodeClient
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch rviz sdk
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-noetic-rplidar-ros (2.0.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 2.0.0
  * [new feature] 1.redesign the skelton of the sdk. 2.support Rplidar S2
  * Contributors: tony,WubinXia

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Thu, 07 Oct 2021 22:00:00 -0000

ros-noetic-rplidar-ros (1.10.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 1.10.0
  * [new feature] support Rplidar S1
  * Contributors: tony,WubinXia

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Thu, 21 Feb 2019 23:00:00 -0000

ros-noetic-rplidar-ros (1.9.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 1.9.0
  * [new feature] support baudrate 57600 and 1382400, support HQ scan response
  * [bugfix] TCP channel doesn't work
  * [improvement] Print warning messages when deprecated APIs are called; imporve angular accuracy for ultra capsuled scan points
  * Contributors: tony,kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Thu, 23 Aug 2018 22:00:00 -0000

ros-noetic-rplidar-ros (1.7.0-1focal) focal; urgency=high

  * Update RPLIDAR SDK to 1.7.0
  * support scan points farther than 16.38m
  * upport display and set scan mode
  * Contributors: kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Wed, 18 Jul 2018 22:00:00 -0000

ros-noetic-rplidar-ros (1.6.0-1focal) focal; urgency=high

  * Release 1.6.0.
  * Update RPLIDAR SDK to 1.6.0
  * Support new product RPLIDAR A3(default 16K model and max_distance 25m)
  * Contributors: kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Sun, 20 May 2018 22:00:00 -0000

ros-noetic-rplidar-ros (1.5.7-1focal) focal; urgency=high

  * Release 1.5.7.
  * Update RPLIDAR SDK to 1.5.7
  * Fixed the motor default speed at 10 HZ. Extend the measurement of max_distance from 6m to 8m.
  * Contributors: kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Wed, 14 Dec 2016 23:00:00 -0000

ros-noetic-rplidar-ros (1.5.5-1focal) focal; urgency=high

  * Release 1.5.5.
  * Update RPLIDAR SDK to 1.5.5
  * Add RPLIDAR information print, and fix the standard motor speed of RPLIDAR A2.
  * Contributors: kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Mon, 22 Aug 2016 22:00:00 -0000

ros-noetic-rplidar-ros (1.5.4-1focal) focal; urgency=high

  * Release 1.5.4.
  * Update RPLIDAR SDK to 1.5.4
  * Support RPLIDAR A2
  * Contributors: kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Wed, 01 Jun 2016 22:00:00 -0000

ros-noetic-rplidar-ros (1.5.2-1focal) focal; urgency=high

  * Release 1.5.2.
  * Update RPLIDAR SDK to 1.5.2
  * Support RPLIDAR A2
  * Contributors: kint

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Thu, 28 Apr 2016 22:00:00 -0000

ros-noetic-rplidar-ros (1.0.1-1focal) focal; urgency=high

  * Release 1.0.1.
  * Add angle compensate mechanism to compatible with ROS scan message
  * Add RPLIDAR sdk to the repo.
  * First release of RPLIDAR ROS package (1.0.0)
  * Initial commit
  * Contributors: Ling, RoboPeak Public Repos

 -- Slamtec ROS Maintainer <ros@slamtec.com>  Mon, 02 Jun 2014 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rplidar-ros
Section: misc
Priority: optional
Maintainer: Slamtec ROS Maintainer <ros@slamtec.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rplidar-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-srvs
Description: The rplidar ros package, support rplidar A2/A1 and A3/S1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rplidar-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
